Subject: bug#77468: 30.1.50; package-quickstart file is not relocatable

From: Stefan Monnier <[email-masked]>
Date: Wed, 02 Apr 2025 16:24:38 -0400

> Maybe package-quickstart.el could use relative names to packages in
> package-user-dir (since it itself lives in package-user-dir), and
> absolute names to packages outside that?

Sounds OK.  Tho maybe we should check `file*-in-directory-p` (or the
presence of "../" in the output of `file-relative-name`) rather than
distinguishing based on `package-user-dir` vs `package-directory-list`?

In any case, it sounds like a good compromise.

        Stefan